diff --git a/ChangeLog b/ChangeLog
index 003247e3..005cb35d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,48 @@
+2020-08-22  G. Branden Robinson <g.branden.robinson@gmail.com>
+
+	Drop the .ll hack for setting the line length on nroff devices.
+
+	Once upon a time, the only way to get man pages to render on a
+	terminal at any width other than the nroff default of 65n was to
+	put an .ll request into the page; or your man pager could sneak
+	such a request into nroff's input stream.  Also, in times long
+	passed, John Eaton of UT Austin wrote a man(1) program.  In a
+	few years this implementation branched into two lines of
+	development, which I'll call man-db man (Wilford/Polacco/Watson)
+	and another, Ben-Halim/Brouwer/Lucifredi man, which as of this
+	writing saw its last release in 2011 (1.6g).
+
+	The man macros of groff 1.18 (July 2002) featured an LL register
+	for configuring the line length, not overriding an -rLL
+	command-line option if were used.  The source change was made by
+	Werner Lemberg on 3 May 2002 and Colin Watson updated man-db
+	man(1)--on the same day!--to support it.  For compatibility with
+	other implementations, possibly Ben-Halim/Brouwer/Lucifredi man,
+	any existing .ll setting (technically, value of \n[.l], the only
+	way this value can be introspected) was still respected of LL
+	was not set.  However, it is impossible to distinguish a
+	user-supplied ".ll 65n" setting from nroff's default setting,
+	which was in that case overridden to the modern default of 78n.
+	This led to (1) suprising behavior for users accustomed to old
+	methods and desirous of the nroff default and (2) lengthy
+	apologia in groff source code comments.
+
+	Let us survey the field in 2020.  man-db man has supported the
+	LL register for 18 years.  Heirloom Doctools's man macros set
+	the line length to 78n on nroff devices unconditionally.
+	mandoc(1) similarly also formats for 78 columns on terminals.
+	By its 1.6 release (20 June 2005), Ben-Halim/Brouwer/Lucifredi
+	man had also started using the LL register.
+
+	There no longer seems to be any reason to preserve this hack.
+
+	* tmac/an-old.tmac (initialization): Drop complex set up of LL
+	register.
+	(TH): Relocate line length reset; no behavior change.
+	(after .mso man.local): Initialize LL if the user hasn't.
+	Otherwise, use device default in troff mode, and 78n in nroff
+	mode.
+
 2020-08-22  G. Branden Robinson <g.branden.robinson@gmail.com>
 
 	* tmac/tests/an-old_TH_repairs_ad_damage.sh:
diff --git a/tmac/an-old.tmac b/tmac/an-old.tmac
index 3d9e6cd7..f4cbdc8b 100644
--- a/tmac/an-old.tmac
+++ b/tmac/an-old.tmac
@@ -55,30 +55,6 @@
 .nr need_eo_h 0
 .nr need_col2 0
 .
-.\" set up the line length...
-.\" giving precedence to any prior assignment to the \n[LL] register.
-.if !r LL \{\
-.
-.  \" but if that isn't predefined...
-.  \" then try to respect any prior '.ll' request.
-.  nr LL \n[.l]
-.
-.  \" For troff, this is sufficient to give us a default line length of
-.  \" 6.5i, but for nroff, we prefer a default of 78n to nroff's default
-.  \" 65n.  This has the unfortunate side effect that we will override a
-.  \" user's '.ll 65n' request, with our preferred 78n default; we can't
-.  \" possibly know that the 65n came from a '.ll' request, and MUST
-.  \" assume that it was set by nroff, as its built-in default!  If the
-.  \" user wants to force this setting, then he MUST use the '-rLL=65n'
-.  \" option, or an equivalent '.nr LL 65n' request.
-.  if n \
-.    if (\n[LL] = 65n) \
-.      nr LL 78n
-.\}
-.
-.if !r LT \
-.  nr LT \n[LL]
-.
 .nr FT (-.5i)
 .
 .nr an-first 1
@@ -159,11 +135,11 @@
 .
 .  ps \\n[PS]u
 .  vs \\n[VS]u
-.  ll \\n[LL]u
 .
 .  \" Restore parameters that a previous man page might have messed up.
 .  ad \\*[AD]
 .  hy \\n[HY]
+.  ll \\n[LL]u
 .
 .\" We must select an integer indentation value for nroff;
 .\" see comment in an-do-tag.
@@ -694,6 +670,20 @@
 .    nr HY 6
 .\}
 .
+.\" Similarly for line length.
+.if !r LL \{\
+.  \" If typesetting (troff mode), respect device default.
+.  ie t \
+.    nr LL \n[.l]
+.  \" Otherwise, override nroff mode default of 65n.
+.  el \
+.    nr LL 78n
+.\}
+.
+.\" Similarly for title length.
+.if !r LT \
+.  nr LT \n[LL]
+.
 .\" Set the default adjustment mode and heading font only if -d options
 .\" or man.local did not.
 .if !d AD \
diff --git a/tmac/groff_man.7.man.in b/tmac/groff_man.7.man.in
index 80ea3767..cda04d8e 100644
--- a/tmac/groff_man.7.man.in
+++ b/tmac/groff_man.7.man.in
@@ -3000,51 +3000,6 @@ Set line length;
 the default is 78n for terminal devices
 and 6.5i for typesetter devices.
 .
-If this option is not given,
-.\" Don't bold the .ll request in this discussion; it's not a major
-.\" topic of _this_ page as it would be in groff(7).  Also, we don't
-.\" want to encourage people to mess with this old kludge by drawing
-.\" attention to it.
-the line length is set to respect any value set by a prior \(lq.ll\(rq
-request
-(which
-.I must
-be in effect when the
-.B .TH
-macro is invoked),
-if this differs from the built-in default for the formatter.
-.
-.
-.IP
-Note that the use of an \(lq.ll\(rq request to initialize the line
-length is supported for backward compatibility with some versions of
-the
-.I man
-program;
-direct initialization of the
-.B LL
-register should
-.I always
-be preferred to the use of such a request.
-.
-In particular,
-note that an \(lq.ll\~65n\(rq request does
-.I not
-preserve the default
-.I nroff
-line length
-(the
-.I man
-default initialization to 78n prevails),
-whereas the
-.B \-rLL=65n
-option,
-or an equivalent \(lq.nr\~LL\~65n\(rq request preceding the use of the
-.B .TH
-macro,
-.I does
-set a line length of 65n.
-.
 .
 .TP
 .BI \-rLT= title-length
